FTGL: FTLayout.h File Reference

FTGL 2.4.0

Data Structures | Typedefs | Functions
FTLayout.h File Reference
`#include <FTGL/ftgl.h>`
Include dependency graph for FTLayout.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTLayout
| FTLayout is the interface for layout managers that render text. More...

## Typedefs
typedef struct _FTGLlayout | FTGLlayout

## Functions
void | ftglDestroyLayout (FTGLlayout *layout)
| Destroy an FTGL layout object.
void | ftglGetLayoutBBox (FTGLlayout *layout, const char *string, float bounds[6])
| Get the bounding box for a string.
void | ftglRenderLayout (FTGLlayout *layout, const char *string, int mode)
| Render a string of characters.
FT_Error | ftglGetLayoutError (FTGLlayout *layout)
| Query a layout for errors.

## Typedef Documentation

## ◆ FTGLlayout

typedef struct _FTGLlayout FTGLlayout

Definition at line 151 of file FTLayout.h.

## Function Documentation

## ◆ ftglDestroyLayout()

void ftglDestroyLayout | ( | FTGLlayout * | layout | ) |

Destroy an FTGL layout object.

Parameters

  layout | An FTGLlayout* object.

References FTGL_EXPORT, and ftglDestroyLayout().

Referenced by ftglDestroyLayout().

## ◆ ftglGetLayoutBBox()

void ftglGetLayoutBBox | ( | FTGLlayout * | layout,
|  | const char * | string,
|  | float | bounds[6] )

Get the bounding box for a string.

Parameters

  layout | An FTGLlayout* object.
  string | A char buffer
  bounds | An array of 6 float values where the bounding box's lower left near and upper right far 3D coordinates will be stored.

References FTGL_EXPORT, and ftglGetLayoutBBox().

Referenced by ftglGetLayoutBBox().

## ◆ ftglGetLayoutError()

FT_Error ftglGetLayoutError | ( | FTGLlayout * | layout | ) |

Query a layout for errors.

Parameters

  layout | An FTGLlayout* object.

Returns
  The current error code.

References FTGL_END_C_DECLS, FTGL_EXPORT, and ftglGetLayoutError().

Referenced by ftglGetLayoutError().

## ◆ ftglRenderLayout()

void ftglRenderLayout | ( | FTGLlayout * | layout,
|  | const char * | string,
|  | int | mode )

Render a string of characters.

Parameters

  layout | An FTGLlayout* object.
  string | Char string to be output.
  mode | Render mode to display.

References FTGL_EXPORT, and ftglRenderLayout().

Referenced by ftglRenderLayout().